Package org.drinkless.tdlib

# Class TdApi.UpgradedGiftModel

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.UpgradedGiftModel

Enclosing class:
  `TdApi`

public static class TdApi.UpgradedGiftModel extends TdApi.Object
Describes a model of an upgraded gift.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isCrafted`
  True, if the model can be obtained only through gift crafting.
  `String`
  `name`
  Name of the model.
  `TdApi.UpgradedGiftAttributeRarity`
  `rarity`
  The rarity of the model.
  `TdApi.Sticker`
  `sticker`
  The sticker representing the upgraded gift.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpgradedGiftModel()`
  Describes a model of an upgraded gift.
  `UpgradedGiftModel(String name, TdApi.Sticker sticker, TdApi.UpgradedGiftAttributeRarity rarity, boolean isCrafted)`
  Describes a model of an upgraded gift.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    public String name
    Name of the model.

  - ### sticker

    public TdApi.Sticker sticker
    The sticker representing the upgraded gift.

  - ### rarity

    public TdApi.UpgradedGiftAttributeRarity rarity
    The rarity of the model.

  - ### isCrafted

    public boolean isCrafted
    True, if the model can be obtained only through gift crafting.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpgradedGiftModel

    public UpgradedGiftModel()
    Describes a model of an upgraded gift.

  - ### UpgradedGiftModel

    public UpgradedGiftModel(String name, TdApi.Sticker sticker, TdApi.UpgradedGiftAttributeRarity rarity, boolean isCrafted)
    Describes a model of an upgraded gift.
    Parameters:
      `name` - Name of the model.
      `sticker` - The sticker representing the upgraded gift.
      `rarity` - The rarity of the model.
      `isCrafted` - True, if the model can be obtained only through gift crafting.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR